WireMock
action Wiremock

# global_random_delay

Adds a random delay to all mappings

Run it now
View details

Type | action
Module | chaoswm.actions
Name | global_random_delay
Return | integer

Usage

JSON

    {
      "name": "global-random-delay",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaoswm.actions",
        "func": "global_random_delay",
        "arguments": {
          "delayDistribution": null
        }
      }
    }

YAML

    name: global-random-delay
    provider:
      arguments:
        delayDistribution: null
      func: global_random_delay
      module: chaoswm.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
delayDistribution | object |  | Yes | Delay Distribution | Delay distribution to apply globally

Signature

    def global_random_delay(
            delayDistribution: Mapping[str, Any],
            configuration: Dict[str, Dict[str, str]] = None) -> int:
        pass

## Related starters

- WireMock
  probe Wiremock

  ## `mappings`

  Return a list of all mappings
- WireMock
  utils Wiremock

  ## `can_connect_to`

  Test a connection to a host/port
- WireMock
  utils Wiremock

  ## `get_wm_params`

  Calculate WireMock parameters